VLC 3.0.13 kritt e puer Schwachstelle fixéiert

Puer Deeg virun d'Verëffentlechung vun enger korrektiver Versioun vum VLC 3.0.13 Mediaspiller gouf presentéiert (Trotz der Ukënnegung op der VideoLan Websäit vun der Versioun 3.0.13 gouf Versioun 3.0.14 tatsächlech verëffentlecht, inklusiv Sichfixen). An der Verëffentlechung sinn akkumuléiert Käferen haaptsächlech fixéiert a Schwachstelle geläscht.

Ënnert de observéierte Verbesserunge sinn d'Additioun vun der NFSv4 Support, verbessert Integratioun mat SMB2 protokollbaséierte Späicheren, verbesserte Renderglatheet iwwer Direct3D11, zousätzlech Achs Astellunge fir de Mausrad bäigefüügt an d'Implementatioun vun der Fäegkeet fir den SSA Ënnertiteltext ze skaléieren.

Käfer opgestallt ernimmen wéi ze flécken de Problem mam Erscheinungsbild vun Artefakte beim HLS Streams ze spillen a Probleemer mam Audio am MP4 Format ze fixéieren. Déi nei Versioun adresséiert eng Schwachstelle déi zu der Exekutioun vum Code ka féieren wann e Benotzer mat speziell ausgeschaffene Playlists interagéiert.

De Problem ass ähnlech wéi déi kierzlech ugekënnegt Schwachstelle an OpenOffice a LibreOffice bezunn op d'Fäegkeet Linken anzebannen, och ausführbar Dateien déi opmaachen nodeems e Benotzer klickt ouni Dialogboxen ze weisen déi d'Bestätegung erfuerderen. Als Beispill weist et wéi Dir d'Ausféierung vun Ärem Code organiséiere kënnt andeems Dir Links an der Playlist am Format "Datei plazéiert: /// run / user / 1000 / gvfs / sftp: host = , Benotzer = »Wann opgemaach, gëtt et Jar -Fichier gelueden mam WebDav Protokoll.

VLC 3.0.13 et fixéiert och e puer aner Schwachlëchkeet verursaacht duerch Bugs déi féieren zum Schreiwe vun Daten an de Out-of-Puffer-Beräich wann Dir ongëlteg Mediendateien am MP4 Format veraarbecht. E Feeler am Kate Decoder fixéiert deen de Puffer benotzt huet nodeems e befreit gouf.

Zousätzlech gouf e Problem am automateschen Update Liwwerungssystem fixéiert, wat et erlaabt e Update wärend MITM Attacken ze spoofen.

Et gëtt och erwähnt datt sech hu verschidde Remote Code Exekutiv Schwächen am VLC Media Player 3.0.12 adresséiert déi kënne benotzt ginn fir "e VLC Crash oder arbiträr Code Ausféierung mat de Privilegie vum Zilbenutzer ausléisen." Glécklecherweis, VLC Versioune bis an inklusive 3.0.11 enthalen net den automateschen Update Feeler, sou datt se einfach op eng gefléckt Versioun aktualiséiert kënne ginn mat dem agebaute automateschen Update System vun der Applikatioun.

Wéi installéiere ech de VLC Media Player op Linux?

Fir déi, déi sinn Debian, Ubuntu, Linux Mint an Derivative Benotzer, typ just déi folgend am Terminal:

sudo apt-get update sudo apt-get install vlc browser-plugin-vlc

Wärend fir Déi, déi Benotzer vun Arch Linux, Manjaro, Arco Linux oder all Verdeelung aus Arch Linux sinn, musse mir tippen:

sudo pacman -S vlc

Wann Dir e Benotzer vun der KaOS Linux Verdeelung sidd, ass d'Installatiounskommando d'selwecht wéi fir Arch Linux.

Elo fir déi, déi sinn Benotzer vun all Versioun vun openSUSE, mussen nëmmen den Terminal folgend fir z'installéieren:

sudo zypper installéieren vlc

Fir déi, déi si Fedora Benotzer an all Derivat dovun, musse se folgend tippen:

sudo dnf installéieren https://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-$(rpm -E% fedora) .noarch.rpm sudo dnf installéieren vlc

Para De Rescht vun de Linux Verdeelunge kënne mir dës Software mat der Hëllef vun de Flatpak oder Snap Packagen installéieren. Mir mussen nëmmen d'Ënnerstëtzung hunn fir Uwendungen vun dësen Technologien z'installéieren.

Si wëlle mat der Hëllef vu Snap installéieren, musse mir just de folgenden Kommando am Terminal tippen:

sudo snap installéiert vlc

Fir d'Kandidatestatus vum Programm z'installéieren, maacht et mat:

sudo snap installéiert vlc - Kandidat

Schlussendlech, wann Dir d'Beta Versioun vum Programm installéiere wëllt, musst Dir tippen:

sudo snap installéiert vlc -beta

Wann Dir d'Applikatioun vu Snap installéiert hutt an déi nei Versioun aktualiséiere wëllt, musst Dir just tippen:

sudo snap opfrëschen vlc

Endlech fir qDéi, déi vu Flatpak installéiere wëllen, maachen et mam folgendem Kommando:

Flatpak installéiert - Benotzer https://flathub.org/repo/appstream/org.videolan.VLC.flatpakref

A wa se scho installéiert sinn a wëllen aktualiséieren, da musse se tippen:

flatpak --user update org.videolan.VLC

Den Inhalt vum Artikel hält sech un eis Prinzipie vun redaktionnell Ethik. Fir e Feeler ze mellen klickt hei.

Gitt d'éischt fir ze kommentéieren

Gitt Äre Kommentar

Är Email Adress gëtt net publizéiert ginn. Néideg Felder sinn markéiert mat *

*

*

  1. Responsabel fir d'Daten: Miguel Ángel Gatón
  2. Zweck vun den Donnéeën: Kontroll SPAM, Kommentarmanagement.
  3. Legitimatioun: Är Zoustëmmung
  4. Kommunikatioun vun den Donnéeën: D'Donnéeë ginn net un Drëttubidder matgedeelt ausser duerch legal Verpflichtung.
  5. Datenspeicher: Datebank gehost vun Occentus Networks (EU)
  6. Rechter: Zu all Moment kënnt Dir Är Informatioun limitéieren, recuperéieren an läschen.